from optparse import make_option

from django.core.management.base import BaseCommand

from staff.oebs.tasks import Pull


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option(
            '--nolock',
            action='store_true',
            dest='nolock',
            default=False,
            help='Do not use lock',
        ),
    )

    def handle(self, *args, **options):
        Pull(**options)
